# quickhull

## dependencies

for the visual graphic display SFML is needed (https://www.sfml-dev.org/download/sfml/2.5.1/) if you want to compile the program on your own,
the deployed release uses static linkage.

## program arguments
```
-v                   mode with enabled visualization
-akl                 using Akl-Toussaint heuristic beforehand
                     https://en.wikipedia.org/wiki/Convex_hull_algorithms#Akl%E2%8
-f <filename>        read random numbers from file
-rngcount <count>    generates count random float values
-rngmode <mode>      if generating float values this specifies the mode:
                     1. random numbers in screen range
                     2. numbers are ordered as rectangle
                     3. numbers are ordered as circle around screen center
-runs <count>        runs performance mode multiple times
-stepsize <size>     time between autosteps; if 0 or not provided -> manual steps
```
